/*
CTC Separate Stylesheet
Updated: 2026-03-24 17:43:36
*/


/*
    Project: Costacero.com
    Design & Develop: Hernán Herrera Blanco
    Design & Develop URI: https://www.behance.net/h_herrera
    Date: 5 de marzo 2026
    Location: Barranquilla, Colombia

    ------ COLORS & FONT ------

	--azul-c: #76B3CF;
	--azul-o: #5183B4;    
    --f-primary: 'Momo Trust Display', sans-serif;
	--f-secon: 'Rubik', sans-serif;
	--f-normal:300;
    --f-regular:400;
    --f-medium: 600;
    --f-bold: 700;
*/

@import url('https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100..900;1,100..900&display=swap');


:root{
    --azul: #113663;
	--gris: #747474;   
	--gris-c: #D3D3D3; 
    --f-primary: 'Momo Trust Display', sans-serif;
	--f-secon: 'Rubik', sans-serif;
	--f-normal:300;
    --f-regular:400;
    --f-medium: 600;
    --f-bold: 700;
}

::-webkit-input-placeholder { /* -- Edge -- */
    color: #FFF;
    opacity: 0.9;
}

:-ms-input-placeholder { /* -- Internet Explorer 10-11 -- */
    color: #FFF;
    opacity: 0.9;
}
::placeholder {
    color: #FFF;
    opacity: 0.9;
}

body{font-family:"Montserrat", sans-serif;}

/* css Menú */
.ast-builder-menu-1 .menu-item > .menu-link{color:white;}
.ast-desktop .ast-primary-header-bar .main-header-menu > .menu-item{height:auto; }

.ast-builder-menu-1 .menu-item.current-menu-item{height: 30px;}
.ast-builder-menu-1 .menu-item.current-menu-item > .menu-link{border-bottom: 2px solid #fff;height: 30px;}
.main-header-menu .menu-link{padding:0; margin:0 1em;}


/* css Page home */
#Fold-principal strong{text-decoration: underline;font-weight:600;}
#Fold-principal h1{font-weight:600;}

.uagb-buttons-repeater .uagb-button__icon > svg{width:0px !important;transition:0.4s !important;}
.wp-block-button:hover svg{width:10px !important;transition:0.4s !important;}

#Fold-mensaje strong{font-weight:700 !important;}
#Fold-somos strong{text-decoration: underline;font-weight:400 !important;}

.title-icon:before{content: " ";
    position: absolute;
    bottom: 0px;
    left: 0px;
    right: 0px;
    top: 8px;
    background-image: url(/wp-content/uploads/2026/03/icon-title.svg);
    width: 30px;
    height: 30px;
    background-size: contain;
    background-repeat: no-repeat;}
.title-icon .uagb-heading-text{margin-left:40px;}

.wp-block-uagb-image--layout-overlay__inner{padding-left:100px;padding-right:40px;}

#Proyectos .uagb-image-heading:before{content: " ";
    position: absolute;transition:0.5s;
    left: -24%;
    top: 5px;
    background-image: url(/wp-content/uploads/2026/03/row.svg);
    width: 90px;
    height: 60px;
    background-size: contain;
    background-repeat: no-repeat;}
#Proyectos .wp-block-uagb-image--layout-overlay__inner{display: inline-flex;
    flex-direction: column-reverse;
    justify-content: flex-start;bottom: 70px;}

#Proyectos .wp-block-uagb-image:hover .uagb-image-heading:before{content: " ";background-image: url(/wp-content/uploads/2026/03/row-blanco.svg)!important;transition:0.5s;}

#Fold-slider h5{font-weight:500;}
#Fold-slider strong {text-decoration: underline;font-weight: 500 !important;}
.swiper-pagination{text-align: left;padding-left: 11%;bottom: 10%;}

.wp-block-button__link.uagb-text-link{box-shadow: none;}

#ast-scroll-top{border: 1px solid #fff;}



/* css Page servicios */
.ast-logo-title-inline .ast-site-identity{padding:0px;}
.ast-desktop .ast-primary-header-bar .main-header-menu > .menu-item, .ast-primary-header-bar .site-primary-header-wrap {line-height: 60px !important;}

.page-id-249 header, .page-id-471 header, .page-id-532 header, .page-id-750 header, .single-post .site-header, .category-blog .ast-primary-header{background-color:var(--azul);border:none;}
.page-id-249 .ast-theme-transparent-header #masthead, .page-id-471 .ast-theme-transparent-header #masthead{position: relative !important;}

.category .ast-archive-description{padding:0 !important;padding-bottom:30px !important;}
.category .ast-taxonomy-container{display:none;}


#Fold-servicios p{margin-bottom:0px;}
#Fold-servicios p strong{color:var(--azul);}

#Fold-clientes .wp-block-storepress-marquee__item {display: flex;gap: 10px;flex: 1 0 120%;}

/* css page proyectos */
.wp-block-uagb-container.uagb-block-6cadeed8 {width: 115% !important;}
.wp-block-uagb-container.uagb-is-root-container .uagb-block-6cadeed8{max-width: 115% !important;}


/* CSS page Cosatsteel */
#Fold-coast h1 strong{text-decoration: underline;font-weight: 500;}

p.wp-elements-269453249fc27db466e2aa161d5b749b{margin-bottom:0px;}

/* CSS page contacto */
#Fold-formulario p{margin-bottom:5px;}

/* CSS page single */
.post-navigation{display:none;}
.ast-article-single{margin-bottom:70px !important;}
.entry-meta, .entry-meta *{color: #8c8c8c;text-transform: capitalize;}

/* css footer */
footer p{margin-bottom:0px;}
footer section{margin-bottom:10px !important;}
.site-primary-footer-wrap[data-section="section-primary-footer-builder"] .ast-builder-grid-row{max-width: 1300px;}
#block-13, #block-14{margin-bottom:0px !important;}

#block-15 a:hover, #block-20 a:hover{text-decoration:underline;}


/* css formulario  */

/* --- CSS page contacto */
/* Css para mostrar los textos dentro de los campos formulario */
::-webkit-input-placeholder { /* Edge */color: #113663;opacity: 1;}
:-ms-input-placeholder { /* Internet Explorer 10-11 */color: #113663;opacity: 1;}
::placeholder {color: #113663;opacity: 1;}
/* ----- */

div.wpforms-container-full .wpforms-form input[type=date], div.wpforms-container-full .wpforms-form input[type=datetime], div.wpforms-container-full .wpforms-form input[type=datetime-local], div.wpforms-container-full .wpforms-form input[type=email], div.wpforms-container-full .wpforms-form input[type=month], div.wpforms-container-full .wpforms-form input[type=number], div.wpforms-container-full .wpforms-form input[type=password], div.wpforms-container-full .wpforms-form input[type=range], div.wpforms-container-full .wpforms-form input[type=search], div.wpforms-container-full .wpforms-form input[type=tel], div.wpforms-container-full .wpforms-form input[type=text], div.wpforms-container-full .wpforms-form input[type=time], div.wpforms-container-full .wpforms-form input[type=url], div.wpforms-container-full .wpforms-form input[type=week], div.wpforms-container-full .wpforms-form select, div.wpforms-container-full .wpforms-form textarea, div.wpforms-container-full .wpforms-form .wpforms-field-label-inline{font-size: 14px !important;}

.formulario .enviar {
    transition: 0.5s;
    background-color: #113663 !important;
    border: none !important;
    border-radius: 0px !important;
    color: #fff !important;
    padding: 10px 25px !important;
}


.wpforms-confirmation-container-full, div[submit-success]>.wpforms-confirmation-container-full:not(.wpforms-redirection-message) {
    background: #10366329;
    border: 1px solid #103663;
    display: inline-block;padding: 0;
}
pre{background: #ffffff00;margin-bottom: 0 !important;}
.Y2IQFc{display: grid;}


/* --- CSS Scrool --- */
html::-webkit-scrollbar {width: 6px;height: 6px;}
html::-webkit-scrollbar-thumb {
background: -webkit-gradient(cubic-bezier(0, 0, 0.5, 0.6),left top,left bottom,from(#000),to(#7b7b7b));
background: linear-gradient(to bottom,#000,#434D57);
border-radius: 3px;padding: 3px;
box-shadow: inset 2px 2px 2px rgba(255,255,255,.25), inset -2px -2px 2px #434D57;}
html::-webkit-scrollbar-track {background: linear-gradient(to right,#ababab,#ababab,#ababab,#707070);}
.owl-item div {color: #000;}



/* -- DISPOSITIVOS PEQUEÑOS - CELULARES MENOR A 688PX -- */
@media (max-width: 687.98px) {
	
	.ast-header-break-point .main-navigation ul .menu-item .menu-link{padding: 0;margin: 0;}
	.ast-builder-menu-mobile .main-navigation .menu-item.current-menu-item > .menu-link{font-weight: 800;}
	
	.swiper-pagination{text-align: left;padding-left:9%;}
	.title-icon:before{top: 8px;}
	#Proyectos .uagb-image-heading:before{width: 40px;height: 30px;left: -17%;
}
	#Proyectos h2{font-size:18px !important;}
	.wp-block-uagb-image--layout-overlay__inner{padding-left: 20px;padding-right: 0px;}
	
	#Proyectos .wp-block-uagb-image__figure figcaption{font-size:12px !important;}
	#Proyectos .wp-block-uagb-image--layout-overlay__inner{bottom: 60px;}
	#Proyectos .wp-block-uagb-image--layout-overlay .wp-block-uagb-image--layout-overlay__inner{left: 40px;right: 40px;top: 40px;}
	#Fold-clientes .wp-block-storepress-marquee__item{flex: 1 0 300%;}
	
	#Fold-coast p{font-size:18px;}
	
	.ast-separate-container .site-content .ast-single-post-featured-section + article {margin-top: 10px;padding-left: 20px;
        padding-right: 20px;}
	header.entry-header .post-thumb img, .ast-single-post-featured-section.post-thumb img {
    aspect-ratio: 9 / 5;margin-top: 18%;}
	
	.ast-separate-container #content .ast-container {
        padding-left: 0 !important;
        padding-right: 0 !important;
    }
	
	.category-blog .ast-archive-description{margin-left: 15px;}
	.uagb-block-6d078586{justify-content: center;}
	
	.wp-block-uagb-container.uagb-is-root-container .uagb-block-6cadeed8 {max-width: 100% !important;}
	
	.footer-widget-area[data-section="sidebar-widgets-footer-widget-2"].footer-widget-area-inner, .footer-widget-area[data-section="sidebar-widgets-footer-widget-3"].footer-widget-area-inner, .footer-widget-area[data-section="sidebar-widgets-footer-widget-4"].footer-widget-area-inner, .ast-footer-copyright p {
    text-align: center !important;}
	
}


